﻿
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Linq.Expressions;

public partial class GenderLookup : ILookup<Gender>
{
    #region Lookup items
    public partial class LookupItemsHandler : BaseLookupItems<Gender>
	{
        #region Properties
		public GenderLookup Female { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "F"); } }
		public GenderLookup Male { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "M"); } }
	    #endregion
    }
    #endregion

	public Lookup<SbaCountryEntity> GetLookup()
    {
        return Lookup<SbaCountryEntity>.GetInstance(SbaCountryFields.Name);
    }

    public LookupItemsHandler GetLookupItems()
    {
        return new LookupItemsHandler();
    }
}

public partial class LocationLookup : ILookup<Location>
{
    #region Lookup items
    public partial class LookupItemsHandler : BaseLookupItems<Location>
	{
        #region Properties
		public LocationLookup Office { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "OFFICE"); } }
		public LocationLookup OutOfOffice { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "OUT"); } }
	    #endregion
    }
    #endregion

	public Lookup<SbaCountryEntity> GetLookup()
    {
        return Lookup<SbaCountryEntity>.GetInstance(SbaCountryFields.Name);
    }

    public LookupItemsHandler GetLookupItems()
    {
        return new LookupItemsHandler();
    }
}

public partial class WorkTypeLookup : ILookup<WorkType>
{
    #region Lookup items
    public partial class LookupItemsHandler : BaseLookupItems<WorkType>
	{
        #region Properties
		public WorkTypeLookup Design { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "Design"); } }
		public WorkTypeLookup Development { get { return GetLookup().Entities.SingleOrDefault(p => p.Abrv == "Dev"); } }
	    #endregion
    }
    #endregion

	public Lookup<SbaCountryEntity> GetLookup()
    {
        return Lookup<SbaCountryEntity>.GetInstance(SbaCountryFields.Name);
    }

    public LookupItemsHandler GetLookupItems()
    {
        return new LookupItemsHandler();
    }
}

